# Enum Class SyKeyModifier

java.lang.Object
java.lang.Enum<SyKeyModifier>
com.io7m.jsycamore.api.keyboard.SyKeyModifier

All Implemented Interfaces:
  `SyKeyModifierType, Serializable, Comparable<SyKeyModifier>, Constable`

public enum SyKeyModifier extends Enum<SyKeyModifier> implements SyKeyModifierType
A modifier key.

- ## Nested Class Summary

  ### Nested classes/interfaces inherited from class Enum

  `Enum.EnumDesc<E>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `SY_MODIFIER_ALT_LEFT`
  The left alt key.
  `SY_MODIFIER_ALT_RIGHT`
  The right alt key.
  `SY_MODIFIER_CONTROL_LEFT`
  The left control key.
  `SY_MODIFIER_CONTROL_RIGHT`
  The right control key.
  `SY_MODIFIER_SHIFT_LEFT`
  The left shift key.
  `SY_MODIFIER_SHIFT_RIGHT`
  The right shift key.
  `SY_MODIFIER_SUPER_LEFT`
  The left super key.
  `SY_MODIFIER_SUPER_RIGHT`
  The right super key.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static Optional<SyKeyModifier>`
  `ofKey(SyKeyCode keyCode)`
  `static SyKeyModifier`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static SyKeyModifier[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class Object

  `getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface SyKeyModifierType

  `isAlt, isControl, isShift, isSuper`

- ## Enum Constant Details

  - ### SY_MODIFIER_SHIFT_LEFT

    public static final SyKeyModifier SY_MODIFIER_SHIFT_LEFT
    The left shift key.

  - ### SY_MODIFIER_SHIFT_RIGHT

    public static final SyKeyModifier SY_MODIFIER_SHIFT_RIGHT
    The right shift key.

  - ### SY_MODIFIER_CONTROL_LEFT

    public static final SyKeyModifier SY_MODIFIER_CONTROL_LEFT
    The left control key.

  - ### SY_MODIFIER_CONTROL_RIGHT

    public static final SyKeyModifier SY_MODIFIER_CONTROL_RIGHT
    The right control key.

  - ### SY_MODIFIER_ALT_LEFT

    public static final SyKeyModifier SY_MODIFIER_ALT_LEFT
    The left alt key.

  - ### SY_MODIFIER_ALT_RIGHT

    public static final SyKeyModifier SY_MODIFIER_ALT_RIGHT
    The right alt key.

  - ### SY_MODIFIER_SUPER_LEFT

    public static final SyKeyModifier SY_MODIFIER_SUPER_LEFT
    The left super key.

  - ### SY_MODIFIER_SUPER_RIGHT

    public static final SyKeyModifier SY_MODIFIER_SUPER_RIGHT
    The right super key.

- ## Method Details

  - ### values

    public static SyKeyModifier[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static SyKeyModifier valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### ofKey

    public static Optional<SyKeyModifier> ofKey(SyKeyCode keyCode)
    Parameters:
      `keyCode` - The input keycode
    Returns:
      The key modifier associated with the keycode, if any